echo off
if '%1'=='' goto NoParam
batext %1
if errorlevel 99 goto NoDrive
if errorlevel 1 goto MakeDir
if errorlevel 0 goto DirOK
:NoDrive
echo The drive %1 does not exist!  Please try again.
goto Abort
:MakeDir
echo Creating directory %1
mkdir %1
:DirOk
echo.
echo ARCANUM Computing Installation
echo ------------------------------
echo Select program to install by number:
echo  1) Mah Jongg game and Tile Maker utility
echo  2) Mah Jongg, game only
echo  3) Tile Maker utility only
echo ------------------------------
echo Note:  select option 1 only if installing to a hard disk as all
echo files will not fit on a single 360k floppy disk.
echo.
batext
if errorlevel 4 goto Abort
if errorlevel 3 goto Install3
if errorlevel 2 goto Install2
if errorlevel 1 goto Install1
goto Abort
:Install1
echo Installing Mah Jongg and Tile Maker to %1
echo.
copy mahjongg.exe %1
copy mahjongg.doc %1
copy mahjongg.txt %1
copy orderfrm.txt %1
copy ukorder.txt %1
copy vendor.txt %1
copy file_id.diz %1
mjtiles.exe %1
mjmisc.exe %1
goto Complete
:Install2
echo Installing Mah Jongg to %1
echo.
copy mahjongg.exe %1
copy mahjongg.doc %1
copy mahjongg.txt %1
copy orderfrm.txt %1
copy ukorder.txt %1
copy vendor.txt %1
copy file_id.diz %1
mjmisc.exe %1
echo.
batext cd %1
:Complete
echo.
echo Installation complete.  Type 'mahjongg' to run.
echo.
echo Please read MAHJONGG.DOC for complete instructions, registration
echo benefits and more.  See TILEMAKR.DOC for instructions on using the
echo tile set editor.  Use the file ORDERFRM.TXT for a ready to print
echo registration form.
batext cd %1
goto Abort
:Install3
echo Installing Tile Maker to %1
echo.
mjtiles.exe %1
batext cd %1
echo.
echo Installation complete.  Type 'tilemakr' to run.
echo.
echo Please read TILEMAKR.DOC for complete instructions.
echo.
goto Abort
:NoParam
echo -----------------------------------------------------------------------
echo You need to specify where you want the program installed.  For example,
echo.
echo    INSTALL A:
echo.
echo will install it on your A: drive, or
echo.
echo    INSTALL C:\GAMES
echo.
echo will install to the \games directory on your C: drive.
echo.
echo Try again...
:Abort
